# ----------------------------------------------------------------------------------------------------
# --  Customer         : Enclustra GmbH
# --  Project          : Mars ZX3 Vivado Reference Design
# --  File description : Pin assignment constraints file for Mars EB1
# --  File name        : MarsZX3_EB1.xdc
# --  Authors          : Christoph Glattfelder
# ----------------------------------------------------------------------------------------------------
# --  Copyright (c) 2014 by Enclustra GmbH, Switzerland
# --  All rights reserved.
# ----------------------------------------------------------------------------------------------------

set_property CFGBVS VCCO [current_design]
set_property CONFIG_VOLTAGE 2.5 [current_design]

# ------------------------------------------------
# -- UART 
# ------------------------------------------------

# Mars EB1 specific
#set_property PACKAGE_PIN T5 [get_ports UART0_TX]
#set_property IOSTANDARD LVCMOS25 [get_ports UART0_TX]

#set_property PACKAGE_PIN U5 [get_ports UART0_RX]
#set_property IOSTANDARD LVCMOS25 [get_ports UART0_RX]

# ------------------------------------------------
# -- i2-port
# ------------------------------------------------
#set_property PACKAGE_PIN H15 [get_ports I2C0_SDA]
#set_property IOSTANDARD LVCMOS25 [get_ports I2C0_SDA]

#set_property PACKAGE_PIN R15 [get_ports I2C0_SCL]
#set_property IOSTANDARD LVCMOS25 [get_ports I2C0_SCL]

#set_property PACKAGE_PIN H17 [get_ports I2C0_INT_N]
#set_property IOSTANDARD LVCMOS25 [get_ports I2C0_INT_N]

# ------------------------------------------------
# -- led
# ------------------------------------------------
#set_property PACKAGE_PIN H18 [get_ports {Led_N[0]}]
#set_property IOSTANDARD LVCMOS25 [get_ports {Led_N[0]}]

#set_property PACKAGE_PIN AA14 [get_ports {Led_N[1]}]
#set_property IOSTANDARD LVCMOS25 [get_ports {Led_N[1]}]

#set_property PACKAGE_PIN AA13 [get_ports {Led_N[2]}]
#set_property IOSTANDARD LVCMOS25 [get_ports {Led_N[2]}]

#set_property PACKAGE_PIN AB15 [get_ports {Led_N[3]}]
#set_property IOSTANDARD LVCMOS25 [get_ports {Led_N[3]}]

# ------------------------------------------------
# -- MISC
# ------------------------------------------------

#set_property PACKAGE_PIN L19 [get_ports Eth_Rst_N]
#set_property IOSTANDARD LVCMOS25 [get_ports Eth_Rst_N]

#set_property PACKAGE_PIN U14 [get_ports Usb_Rst_N]
#set_property IOSTANDARD LVCMOS25 [get_ports Usb_Rst_N]

# ----------------------------------------------------------------------------------
# -- system pins, set to high impedance if not used
# ----------------------------------------------------------------------------------

# ----------------------------------------------------------------------------------------------------
# eof
# ----------------------------------------------------------------------------------------------------


